%global opt %(test -x %{_bindir}/ocamlopt && echo 1 || echo 0)

Name:           gapi-ocaml
Version:        0.3.16
Release:        %mkrel 4
Summary:        A simple OCaml client for Google Services
License:        MIT
Group:          Development/OCaml

Url:            https://github.com/astrada/gapi-ocaml
Source0:        https://github.com/astrada/gapi-ocaml/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ocaml >= 3.12
BuildRequires:  ocaml-biniou
BuildRequires:  ocaml-ocamlbuild-devel
BuildRequires:  ocaml-findlib-devel >= 1.2.7
BuildRequires:  ocaml-ocamlnet-nethttpd-devel >= 3.3.5
BuildRequires:  ocaml-cryptokit-devel >= 1.3.14
BuildRequires:  ocaml-extlib-devel >= 1.5.1
BuildRequires:  ocaml-yojson-devel >= 1.0.2
BuildRequires:  ocaml-xmlm-devel >= 1.0.2
BuildRequires:  ocaml-ounit-devel >= 1.1.0
BuildRequires:  ocaml-curl-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  pkgconfig(zlib)
BuildRequires:  ocaml-dune
BuildRequires:  opam

%description
gapi-ocaml is a simple, unofficial, OCaml client for Google Services. The
library supports ClientLogin, OAuth 1.0a, and OAuth 2.0 authentication.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q

# require debug info
echo $'\ntrue: debug' >> _tags

%build
dune build @install

%install
mkdir -p %{buildroot}/usr
mkdir -p %{buildroot}%{_libdir}/ocaml
dune install --prefix=%{buildroot}/usr --libdir=%{buildroot}%{_libdir}/ocaml

# These files will be installed using the doc and license directives
rm -rf %{buildroot}%{_prefix}/doc

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%files
%doc README.md doc/
%license LICENSE
%{_libdir}/ocaml/gapi-ocaml
%if %{opt}
%exclude %{_libdir}/ocaml/gapi-ocaml/*.a
%exclude %{_libdir}/ocaml/gapi-ocaml/*.cmx
%exclude %{_libdir}/ocaml/gapi-ocaml/*.cmxa
%endif
%exclude %{_libdir}/ocaml/gapi-ocaml/*.mli

%files devel
%if %{opt}
%{_libdir}/ocaml/gapi-ocaml/*.a
%{_libdir}/ocaml/gapi-ocaml/*.cmx
%{_libdir}/ocaml/gapi-ocaml/*.cmxa
%endif
%{_libdir}/ocaml/gapi-ocaml/*.mli
%exclude /usr/doc/%{name}


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 0.3.16-4.mga8
+ Revision: 1670857
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.3.16-3.mga8
+ Revision: 1551738
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.3.16-2.mga8
+ Revision: 1544467
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.3.16-1.mga8
+ Revision: 1483002
- new release + rebuild for ocaml-4.10

* Mon Mar 18 2019 tv <tv> 0.3.6-7.mga7
+ Revision: 1378662
- fix description

* Sat Mar 16 2019 daviddavid <daviddavid> 0.3.6-6.mga7
+ Revision: 1377875
- rebuild for new ocaml-curl 0.8.2

* Thu Oct 25 2018 daviddavid <daviddavid> 0.3.6-5.mga7
+ Revision: 1325231
- rebuild for new ocaml 4.07.1

* Fri Oct 12 2018 pterjan <pterjan> 0.3.6-4.mga7
+ Revision: 1319731
- Drop examples
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ daviddavid <daviddavid>
- rebuild for new ocaml-easy-format 1.3.1
- enable debug package as it should

* Tue Jun 12 2018 daviddavid <daviddavid> 0.3.6-2.mga7
+ Revision: 1236511
- rebuild for new ocaml-ocamlnet 4.1.6

* Sat Mar 31 2018 joequant <joequant> 0.3.6-1.mga7
+ Revision: 1213964
- add equeue dependency
- update to 0.3.6

* Tue Mar 27 2018 daviddavid <daviddavid> 0.3.5-4.mga7
+ Revision: 1212785
- rebuild for new ocaml-xmlm 1.3.0

* Sat Mar 24 2018 daviddavid <daviddavid> 0.3.5-3.mga7
+ Revision: 1211860
- rebuild for new ocaml-extlib 1.7.4

* Sat Jan 13 2018 daviddavid <daviddavid> 0.3.5-2.mga7
+ Revision: 1192831
- BR ocaml-ocamlbuild-devel thus fixing build

* Tue Dec 05 2017 tv <tv> 0.3.5-1.mga7
+ Revision: 1181308
- BR ocaml-ocamlbuild
- new release
- rebuild for new ocaml

* Fri Oct 13 2017 daviddavid <daviddavid> 0.3.3-2.mga7
+ Revision: 1171538
- rebuild for new ocaml-cryptokit
- reenable debug package

* Wed Feb 01 2017 joequant <joequant> 0.3.3-1.mga6
+ Revision: 1084451
- upgrade to 0.3.3

* Sun Oct 23 2016 joequant <joequant> 0.2.13-2.mga6
+ Revision: 1063279
- tweak spec
- tweak spec
- tweak spec
- imported package gapi-ocaml

